# aargul_local_file

Aargul Local File plugin

## Installation

First depend on the library by adding this to your packages `pubspec.yaml`:
```yaml
dependencies:
  aargul_local_file: ^0.0.1
```

or Run 
```sh
flutter pub add aargul_local_file
```

Now inside your Dart code you can import it.

```dart
import 'package:aargul_core/aargul_core.dart';
import 'package:aargul_local_file/aargul_local_file.dart';
```
## Example

```dart

import 'package:aargul_core/aargul_core.dart';
import 'package:aargul_local_file/aargul_local_file.dart';
import 'package:path_provider/path_provider.dart';

void main() {
  runApp(AargulApp(
    homeBuilder: (context)=> HomeScreen(aargulContext: context,),
    dependencies: () async {
      AargulLocalFile(
        // optional
        extension: "arg",
        defaultDir: await getApplicationDocumentsDirectory(),
        newDocumentName: "newDocument",// extension is optional
      );
    },
  ));
}

```